package com.ruoyi.system.mapper;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Delete;
import java.util.List;
import com.ruoyi.system.domain.SnTemplatePerms;

public interface SnTemplatePermsMapper
{
    SnTemplatePerms selectSnTemplatePermsById(final Long p0);
    
    List<SnTemplatePerms> selectSnTemplatePermsList(final SnTemplatePerms p0);
    
    int insertSnTemplatePerms(final SnTemplatePerms p0);
    
    int updateSnTemplatePerms(final SnTemplatePerms p0);
    
    int deleteSnTemplatePermsById(final Long p0);
    
    int deleteSnTemplatePermsByIds(final Long[] p0);
    
    @Delete({ "delete from sn_template_perms where user_id = #{userId}" })
    int deletePermsByUserId(final Long p0);
    
    void insertBatch(@Param("lists") final List<SnTemplatePerms> p0);
}
